Issue1555

classification
Title: Jython does not publish MIME types via JSR 223 (ScriptEngine.getFactory().getMimeTypes() is empty).
Type: behaviour Severity: minor
Components: Core Versions: 2.5.1
process
Status: closed Resolution: fixed
Dependencies: Superseder:
Assigned To: nriley Nosy List: Reiger, nriley, thijs, zyasoft
Priority: Keywords:

Created on 2010-02-10.15:39:02 by Reiger, last changed 2010-08-14.17:17:54 by zyasoft.

Messages
msg5956 (view) Author: Jim Baker (zyasoft) Date: 2010-08-14.17:17:52
Fixed in r7090

Added these MIME types, all of which I found were in some use, somewhere. Since that's the nature of MIME types, it seems entirely appropriate for this usage:

text/python
application/python
text/x-python
application/x-python

Previously we had punted and just returned an empty list.
History
Date User Action Args
2010-08-14 17:17:54zyasoftsetstatus: open -> closed
resolution: fixed
messages: + msg5956
nosy: + zyasoft
2010-06-07 18:57:43thijssetnosy: + thijs
2010-02-14 19:28:12nrileysetassignee: nriley
nosy: + nriley
2010-02-10 15:39:02Reigercreate